<?php
namespace Teknisa\MAN\Services;

use Doctrine\DBAL\Connection;
use Teknisa\MAN\Utilities;


class ModalidadePDVService {

    
    protected  $connection;
    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }

    /**
     * @return array
     */
    public function getMaxId() {
        return $this->connection->fetchAll(Utilities\Query::GET_MAXNRMODALIDADEPDV);
    }

    public function getMaxId1() {
        return $this->connection->fetchAll(Utilities\Query::GET_MAXNRSEQMODALIDADEPDV);
    }

    public function checaModalidadeByNr($nrSeq, $nrorg) {
        $params = array(
            "NRSEQCONFIGURACAO" => $nrSeq,
            "NRORG" => $nrorg
     	); 
        return $this->connection->fetchAll(Utilities\Query::GET_VND_RELACONFIGURACAOMODALIDADE, $params);
    }

    public function desativaModalidade($nrseq, $nrorg, $idativo, $dtultatu, $nrorgultatu, $cdoperultatu) {
        $params = array(
            "IDATIVO" => $idativo,
            "DTULTATU" => $dtultatu,
            "NRORGULTATU" => $nrorgultatu,
            "CDOPERULTATU" => $cdoperultatu,
            "NRSEQCONFIGURACAO" => $nrseq,
            "NRORG" => $nrorg
     	); 
        $this->connection->executeQuery(Utilities\Query::UPDATE_VND_RELACONFIGURACAOMODALIDADE_BY_NRORG,$params);
    }
    
} 